* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}
body {
  display: grid;
  place-content: center;
  text-align: center;
  background-color: aliceblue;
}
header {
  padding: 2rem;
}
main {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}
input {
  padding: 0.25rem;
  border-radius: 0.5rem;
  -webkit-border-radius: 0.5rem;
  -moz-border-radius: 0.5rem;
  -ms-border-radius: 0.5rem;
  -o-border-radius: 0.5rem;
}
button {
  background-color: skyblue;
  border: none;
  padding: 0.5rem;
  border-radius: 0.25rem;
  -webkit-border-radius: 0.25rem;
  -moz-border-radius: 0.25rem;
  -ms-border-radius: 0.25rem;
  -o-border-radius: 0.25rem;
}
section {
  padding: 1rem;
  background-color: rgb(247, 247, 247);
  border: 1px solid black;
  border-radius: 1rem;
  -webkit-border-radius: 1rem;
  -moz-border-radius: 1rem;
  -ms-border-radius: 1rem;
  -o-border-radius: 1rem;
}
section:nth-child(1) {
  display: grid;
  gap: 1rem;
}
section:nth-child(1) form {
  display: grid;
  gap: 1rem;
}
section:nth-child(1) form div {
  display: flex;
  gap: 0.25rem;
}
section:nth-child(1) form div label {
  width: 5rem;
  text-align: left;
}
section:nth-child(2) {
  place-content: center;
}
#incompleteBookList,
#completeBookList {
  display: grid;
  gap: 1rem;
}

[data-testid='bookItem'] {
  display: grid;
  gap: 1rem;
  background-color: #fff;
  padding: 1rem;
  border: 1px solid black;
  border-radius: 1rem;
  -webkit-border-radius: 1rem;
  -moz-border-radius: 1rem;
  -ms-border-radius: 1rem;
  -o-border-radius: 1rem;
}
[data-testid='bookItemDeleteButton'] {
  background-color: rgb(255, 119, 119);
}
[data-testid='bookItemIsCompleteButton'] {
  background-color: rgb(131, 255, 131);
}
